Summary: ODBC driver for MySQL
Name: mysql-connector-odbc
Version: 3.51.15r409
Release: 1.el4s1.1
License: GPL
Group: System Environment/Libraries
URL: http://www.mysql.com/downloads/api-myodbc.html
Source: http://dev.mysql.com/downloads/connector/odbc/mysql-connector-odbc-%{version}.tar.gz
Patch1: myodbc-locale.patch
Patch2: myodbc-shutdown.patch
Patch3: myodbc-multilib.patch

Requires: unixODBC
BuildRequires: mysql-devel unixODBC-devel
BuildRequires: automake autoconf libtool
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="%{optflags} -fno-strict-aliasing"

libtoolize --copy --force
aclocal
automake -a
automake
autoconf

%configure \
	--disable-gui \
	--with-unixODBC=/usr/foo \
	--with-odbc-ini=/etc/odbc.ini \
	--with-mysql-includes=%{_includedir}/mysql \
	--with-mysql-libs=%{_libdir}/mysql

export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

# Remove stuff not to be packaged (possibly reconsider later)
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc3i
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc3m

# we don't want the static libraries, thanks
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc3.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc3_r.*a

# makefile thinks it should install docs in totally wrong place
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README.debug
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README README.debug ChangeLog LICENSE.gpl LICENSE.exceptions
%{_libdir}/lib*so

%changelog
* Mon May  7 2007 Tom Lane <tgl@redhat.com> 3.51.15r409-1.el4s1.1
- Update to mysql-connector-odbc 3.51.15r409

* Fri Apr 20 2007 Tom Lane <tgl@redhat.com> 3.51.14r248-1.el4s1.1
- Update to mysql-connector-odbc 3.51.14r248
Related: #236473
- Fix build problem on multilib machines

* Thu Sep 28 2006 Tom Lane <tgl@redhat.com> 3.51.12-2.el4s1.3
- Rebuild to verify building in brew

* Thu Jul 20 2006 Tom Lane <tgl@redhat.com> 3.51.12-2.el4s1.2
- Rebuild to ensure compatibility with repackaged mysql client library

* Mon Mar 27 2006 Tom Lane <tgl@redhat.com> 3.51.12-2.el4s1.1
- Remove DLL-unload cleanup call from connection shutdown (bz#185343)

* Thu Feb  9 2006 Tom Lane <tgl@redhat.com> 3.51.12-1.el4s1.1
- Adjust release string to meet convention established by stacks group.

* Wed Feb  8 2006 Tom Lane <tgl@redhat.com> 3.51.12-1.RHEL4S1.1
- rebuild in Stacks branch

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.51.12-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Tom Lane <tgl@redhat.com> 3.51.12-1
- New package replacing MyODBC.
